### Method

# Camel MimeMessage get_part_by_content_id

#### Declaration [src]

    CamelMimePart*
    camel_mime_message_get_part_by_content_id (
      CamelMimeMessage* message,
      const gchar* content_id
    )

#### Description [src]

Get a MIME part by id from a message.

#### Parameters

`content_id`

  Type: `const gchar*`

  Content-id to search for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `CamelMimePart`

The MIME part with the requested id, or `NULL` if not found.

The returned data is owned by the instance.
The return value can be `NULL`.